Subject: Re: CCL:programming language/Regarding Douglas Smith's comments

From: "Douglas Smith`" <[email-masked]>
Date: Fri, 02 Feb 2001 14:34:10 -0500

Richard:

Students should be given choices, but students rarely know what will be 
useful to them in the future.  That is why whe have set curriculums rather 
than completely open ones.

That being said, JAVA is rapidly developing and becoming more and more 
widely used... in industry and commercial enterprises.  It is a wonderful 
language for rapidly developing flexible tools.

'Nuff said.  It was a wonderful thread.

Doug

>From: "Dr. Richard Wood" <[email-masked]>
>To: [email-masked]
>Subject: CCL:programming language/Regarding Douglas Smith's comments
>Date: Thu, 01 Feb 2001 13:41:04 -0500
>
>Dr. Smith-
>
>Two comments:
>
>First of all, she stated that the students didn't think Java was useful to
>them.
>So shouldn't Java be out of the mix of our disscussions?
>
>Secondly, I wonder why a lot of MD codes are/were written in Fortran and 
>not
>C++?   When i was a Ph. D. student, there was an attempt in our group to
>convert
>our Fortran based MD program into a C++ based one.  However, it soon hit us
>that there were things that one could not do with C++ that one could do 
>with
>the
>Fortran code.  Bear in mind, this was less than 2 years ago.
>
>Richard
>
>--
>Richard L. Wood, Ph. D.
>Physical/Computational Chemist
>Post-doctoral Associate
>Cornell University, Ithaca, NY 14853
>
>
>
>
>-= This is automatically added to each message by mailing script =-
>[email-masked] -- To Everybody  | [email-masked] -- To Admins
>[email-masked] -- HELP CHEMISTRY or HELP SEARCH
>[email-masked] -- archive search    |    Gopher: gopher.ccl.net 
>70
>Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: 
>[email-masked]
>
>
>
>
>

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com

---

From: "Dr. Richard Wood" <[email-masked]>
Date: Fri, 02 Feb 2001 14:51:05 -0500

> than completely open ones.

True, but something like programming languages are generally an elective for a
Chem major, at least it was for me.  I didn't HAVE to take Basic and Fortran,
but I did.

So there is some openness in a curriculum.

> language for rapidly developing flexible tools.

But not all students go on to industry and commercial enterprises.  I, to most
people, look to be on the academic tract, yet if you asked me when I was in
school,
I'd have told you I wanted to work in industry.

Pardon me for being the devil's advocate.

> 'Nuff said.  It was a wonderful thread.

I think the takehome message is that it depends on the person making the
choices
for the students.  Myself, I'd teach them Fortran, and if they're resourceful
enough, they can teach themselves C and Java.

> Doug

Cheers,
Richard